Delegate = function(){};
Delegate.create = function(obj,func)
{
	var f = function(){
		var target = arguments.callee.target;
		var func = arguments.callee.func;
		if(func == null) return;
		return func.apply(target,arguments);
	}
	f.target = obj;
	f.func = func;
	return f;
}

